Bug 1565157 - Unable to see realtime data from OpenShift in CloudForms UI
Summary: Unable to see realtime data from OpenShift in CloudForms UI
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.8.4
Assignee: Milan Zázrivec
QA Contact: Shalom Naim
URL:
Whiteboard:
Keywords: ZStream
Depends On: 1542720
Blocks: 1551709
TreeView+ depends on / blocked
 
Reported: 2018-04-09 13:55 UTC by Satoe Imaishi
Modified: 2018-06-25 14:19 UTC (History)
20 users (show)

(edit)
Clone Of: 1542720
(edit)
Last Closed: 2018-06-25 14:19:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1972 None None None 2018-06-25 14:19 UTC

Comment 2 CFME Bot 2018-04-10 01:29:06 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:

https://github.com/ManageIQ/manageiq-ui-classic/commit/4f0261dd6852c58989f6121e6535c1856f1e8b39
commit 4f0261dd6852c58989f6121e6535c1856f1e8b39
Author:     Martin Hradil <himdel@seznam.cz>
AuthorDate: Fri Apr  6 14:08:16 2018 -0400
Commit:     Martin Hradil <himdel@seznam.cz>
CommitDate: Fri Apr  6 14:08:16 2018 -0400

    Merge pull request #3696 from mzazrivec/fix_datepoints_in_container_dashboard_charts

    Container dashboard charts: send datapoints as full timestamps
    (cherry picked from commit 43e677321cc7330a53e7cad749b388fc28590c21)

    https://bugzilla.redhat.com/show_bug.cgi?id=1565157

 app/services/container_dashboard_service.rb | 8 +-
 spec/services/container_dashboard_service_spec.rb | 18 +-
 2 files changed, 13 insertions(+), 13 deletions(-)

Comment 4 Shalom Naim 2018-06-03 09:18 UTC
Created attachment 1447148 [details]
Bug verification - screenshots

Comment 8 Milan Zázrivec 2018-06-07 11:42:14 UTC
The point here was to fix an issue where the chart values for particular
date points in dashboard and utilization screens would not match
(i.e. for one day we'd show one value in dashboard screen and a different
value in utilization screen).

That -- judging by the screenshots + the CFME appliance provided -- has been
fixed.

Comment 10 Milan Zázrivec 2018-06-07 12:29:25 UTC
Given how the data collection & processing works, there might be a time gap. Though that
is not what I was fixing here.

Comment 11 Dan Clarizio 2018-06-07 17:49:10 UTC
Based on the above comments, the initial bug has been fixed.  If there are other issues that need to be looked in to, then a new BZ should be created.

Moving back to ON_QA.

Comment 14 errata-xmlrpc 2018-06-25 14:19:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1972


Note You need to log in before you can comment on or make changes to this bug.